function $AdfDhtmlChooseDateTimeSelectionPanel$$() {
  $AdfDhtmlChooseDateTimeSelectionPanel$$.$superclass$.constructor.call(this, "time");
}
$goog$exportSymbol$$("AdfDhtmlChooseDateTimeSelectionPanel", $AdfDhtmlChooseDateTimeSelectionPanel$$);
$AdfObject$$.$createSubclass$($AdfDhtmlChooseDateTimeSelectionPanel$$, $AdfDhtmlChooseDateLayoutPanel$$);
$AdfDhtmlChooseDateLayoutPanel$$.$registerLayoutPanel$($AdfDhtmlChooseDateTimeSelectionPanel$$);
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$isTogglePanel$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$isTogglePanel$$($component$$491$$) {
  $AdfAssert$$.$assertPrototype$($component$$491$$, AdfRichChooseDate);
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.isTogglePanel", {$isTogglePanel$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$isTogglePanel$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.isEnabled = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$isEnabled$($component$$492$$, $rootDOMElement$$44$$) {
  return $AdfDhtmlChooseDateTimeSelectionPanel$$.$superclass$.isEnabled.call(this, $component$$492$$, $rootDOMElement$$44$$) ? $AdfDhtmlChooseDateDOMQueries$$.$allowTimeSelection$($component$$492$$, $rootDOMElement$$44$$) : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.isEnabled", {isEnabled:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.isEnabled});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$isVisible$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$isVisible$$($component$$493$$, $rootDOMElement$$45$$) {
  $AdfAssert$$.$assertPrototype$($component$$493$$, AdfRichChooseDate);
  $AdfAssert$$.assert(null != $rootDOMElement$$45$$);
  return this.isEnabled($component$$493$$, $rootDOMElement$$45$$) && $AdfDhtmlChooseDateDOMQueries$$.$checkCurrentDisplayMode$($component$$493$$, $rootDOMElement$$45$$, $AdfDhtmlChooseDatePeer$$.$_TIME_ONLY_MODE$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.isVisible", {$isVisible$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$isVisible$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$canProcessDomUIInputEvent$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$canProcessDomUIInputEvent$$($component$$494$$, $componentEvent$$62$$) {
  $AdfAssert$$.$assertPrototype$($component$$494$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$62$$, $AdfComponentEvent$$);
  var $keyCode$$20$$ = $componentEvent$$62$$.$getKeyCode$();
  return "keyDown" == $componentEvent$$62$$.getType() && $componentEvent$$62$$.getSource() instanceof AdfRichChooseNumberSpinwheel && ($keyCode$$20$$ == $AdfKeyStroke$$.$ARROWRIGHT_KEY$ || $keyCode$$20$$ == $AdfKeyStroke$$.$ARROWLEFT_KEY$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.canProcessDomUIInputEvent", {$canProcessDomUIInputEvent$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$canProcessDomUIInputEvent$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$canProcessComponentEvent$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$canProcessComponentEvent$$($component$$495$$, $componentEvent$$63$$) {
  $AdfAssert$$.$assertPrototype$($component$$495$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$63$$, $AdfComponentEvent$$);
  return $componentEvent$$63$$ instanceof $AdfValueChangeEvent$$ ? $componentEvent$$63$$.getSource() instanceof AdfRichChooseNumberSpinwheel : $componentEvent$$63$$ instanceof $AdfChooseDateTimeSelectionEvent$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.canProcessComponentEvent", {$canProcessComponentEvent$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$canProcessComponentEvent$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$handleComponentTimeSelection$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$handleComponentTimeSelection$$($component$$496$$, $componentEvent$$64$$) {
  $AdfAssert$$.$assertPrototype$($component$$496$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$64$$, $AdfChooseDateTimeSelectionEvent$$);
  var $meridiemComp_page$$26$$ = $AdfPage$$.$PAGE$, $clientId$$63_meridiemSubId$$ = $component$$496$$.$getClientId$(), $minSubId_rootElement$$1_secComp_secSubId$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$496$$), $selectedDate$$5$$ = $componentEvent$$64$$.getDate(), $hourSubId$$1$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$63_meridiemSubId$$, $AdfDhtmlChooseDatePeer$$.$_HOUR_WHEEL_ID$);
  $meridiemComp_page$$26$$.$findComponent$($hourSubId$$1$$).setValue($AdfDhtmlChooseDateDOMQueries$$.$getDisplayableHour$($minSubId_rootElement$$1_secComp_secSubId$$, $selectedDate$$5$$));
  $minSubId_rootElement$$1_secComp_secSubId$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$63_meridiemSubId$$, $AdfDhtmlChooseDatePeer$$.$_MIN_WHEEL_ID$);
  $meridiemComp_page$$26$$.$findComponent$($minSubId_rootElement$$1_secComp_secSubId$$).setValue($selectedDate$$5$$.getMinutes());
  $minSubId_rootElement$$1_secComp_secSubId$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$63_meridiemSubId$$, $AdfDhtmlChooseDatePeer$$.$_SEC_WHEEL_ID$);
  ($minSubId_rootElement$$1_secComp_secSubId$$ = $meridiemComp_page$$26$$.$findComponent$($minSubId_rootElement$$1_secComp_secSubId$$)) && $minSubId_rootElement$$1_secComp_secSubId$$.setValue($selectedDate$$5$$.getSeconds());
  $clientId$$63_meridiemSubId$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$63_meridiemSubId$$, $AdfDhtmlChooseDatePeer$$.$_MERIDIEM_WHEEL_ID$);
  ($meridiemComp_page$$26$$ = $meridiemComp_page$$26$$.$findComponent$($clientId$$63_meridiemSubId$$)) && $meridiemComp_page$$26$$.setValue(12 > $selectedDate$$5$$.getHours() ? 0 : 1);
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.handleComponentTimeSelection", {$handleComponentTimeSelection$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$handleComponentTimeSelection$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$handleComponentValueChange$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$handleComponentValueChange$$($component$$497$$, $componentEvent$$65$$) {
  $AdfAssert$$.$assertPrototype$($component$$497$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$65$$, $AdfValueChangeEvent$$);
  var $page$$27_secComp$$1$$ = $AdfPage$$.$PAGE$, $clientId$$64_secSubId$$1$$ = $component$$497$$.$getClientId$(), $cdRootElem$$57_selectedDate$$6$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$497$$), $cdRootElem$$57_selectedDate$$6$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$497$$, $cdRootElem$$57_selectedDate$$6$$);
  $cdRootElem$$57_selectedDate$$6$$.setHours($AdfDhtmlChooseDateTimeSelectionPanel$$.$_getMeridiemAdjustedHour$($clientId$$64_secSubId$$1$$));
  var $minComp$$1_minSubId$$1$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$64_secSubId$$1$$, $AdfDhtmlChooseDatePeer$$.$_MIN_WHEEL_ID$), $minComp$$1_minSubId$$1$$ = $page$$27_secComp$$1$$.$findComponent$($minComp$$1_minSubId$$1$$);
  $cdRootElem$$57_selectedDate$$6$$.setMinutes($minComp$$1_minSubId$$1$$.getValue());
  $clientId$$64_secSubId$$1$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$64_secSubId$$1$$, $AdfDhtmlChooseDatePeer$$.$_SEC_WHEEL_ID$);
  $page$$27_secComp$$1$$ = $page$$27_secComp$$1$$.$findComponent$($clientId$$64_secSubId$$1$$);
  $cdRootElem$$57_selectedDate$$6$$.setSeconds($page$$27_secComp$$1$$ ? $page$$27_secComp$$1$$.getValue() : 0);
  $AdfChooseDateTimeSelectionEvent$$.$queue$($component$$497$$, $cdRootElem$$57_selectedDate$$6$$);
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.handleComponentValueChange", {$handleComponentValueChange$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$handleComponentValueChange$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$handleComponentKeyDown$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$handleComponentKeyDown$$($component$$498$$, $componentEvent$$66$$) {
  $AdfAssert$$.$assertPrototype$($component$$498$$, AdfRichChooseDate);
  $AdfAssert$$.$assertPrototype$($componentEvent$$66$$, $AdfUIInputEvent$$);
  var $isRtl$$3$$ = $AdfPage$$.$PAGE$.$getLocaleContext$().$isRightToLeft$(), $keyCode$$21$$ = $componentEvent$$66$$.$getKeyCode$(), $spinwheelElement$$ = document.activeElement;
  $keyCode$$21$$ == $AdfKeyStroke$$.$ARROWRIGHT_KEY$ ? $isRtl$$3$$ ? $AdfFocusUtils$$.$focusPreviousTabStop$($spinwheelElement$$, $spinwheelElement$$.parentElement) : $AdfFocusUtils$$.$focusNextTabStop$($spinwheelElement$$, $spinwheelElement$$.parentElement) : $keyCode$$21$$ == $AdfKeyStroke$$.$ARROWLEFT_KEY$ && ($isRtl$$3$$ ? $AdfFocusUtils$$.$focusNextTabStop$($spinwheelElement$$, $spinwheelElement$$.parentElement) : $AdfFocusUtils$$.$focusPreviousTabStop$($spinwheelElement$$, $spinwheelElement$$.parentElement));
  $componentEvent$$66$$.cancel();
  return !0;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.handleComponentKeyDown", {$handleComponentKeyDown$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$handleComponentKeyDown$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$render$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$$render$$($component$$499$$, $panelRootElement$$15$$) {
  $AdfAssert$$.$assertPrototype$($component$$499$$, AdfRichChooseDate);
  $AdfAssert$$.assert(null != $panelRootElement$$15$$);
  var $wrapperForSpinwheels$$ = $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("div", {"class":$AdfPage$$.$PAGE$.$getLookAndFeel$().getStyleClass("af|chooseDate::spinwheel-time-selectors-row")}, $panelRootElement$$15$$), $cdRootElem$$58$$ = $AdfDhtmlChooseDateDOMQueries$$.$getDOMElement$($component$$499$$), $selectedDate$$7$$ = $AdfDhtmlChooseDateDOMQueries$$.$getSelectedDateAndTime$($component$$499$$, $cdRootElem$$58$$), $childrenComponents$$ = [];
  $childrenComponents$$.push($AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildHoursSpinwheel$($component$$499$$, $cdRootElem$$58$$, $wrapperForSpinwheels$$, $selectedDate$$7$$));
  $childrenComponents$$.push($AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildMinutesSpinwheel$($component$$499$$, $cdRootElem$$58$$, $wrapperForSpinwheels$$, $selectedDate$$7$$));
  $AdfDhtmlChooseDateDOMQueries$$.$allowSecondsSelection$($component$$499$$, $cdRootElem$$58$$) && $childrenComponents$$.push($AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildSecondsSpinwheel$($component$$499$$, $cdRootElem$$58$$, $wrapperForSpinwheels$$, $selectedDate$$7$$));
  $AdfDhtmlChooseDateDOMQueries$$.$allowAMPMSelection$($component$$499$$, $cdRootElem$$58$$) && $childrenComponents$$.push($AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildMeridiemSpinwheel$($component$$499$$, $wrapperForSpinwheels$$, $selectedDate$$7$$));
  return $childrenComponents$$;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlChooseDateTimeSelectionPanel.prototype.render", {$render$:$AdfDhtmlChooseDateTimeSelectionPanel$$.prototype.$render$});
$AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildHoursSpinwheel$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$_buildHoursSpinwheel$$($component$$500$$, $cdRootElem$$59$$, $hourMinMax$$2_wrapperForSpinwheels$$1$$, $selectedDate$$8$$) {
  var $clientId$$65_spinwheel_subId$$10$$ = $component$$500$$.$getClientId$(), $clientId$$65_spinwheel_subId$$10$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$65_spinwheel_subId$$10$$, $AdfDhtmlChooseDatePeer$$.$_HOUR_WHEEL_ID$);
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("div", {id:$clientId$$65_spinwheel_subId$$10$$}, $hourMinMax$$2_wrapperForSpinwheels$$1$$);
  $hourMinMax$$2_wrapperForSpinwheels$$1$$ = $AdfDhtmlChooseDateDOMQueries$$.$getMinMaxHours$($cdRootElem$$59$$);
  $clientId$$65_spinwheel_subId$$10$$ = new AdfRichChooseNumberSpinwheel($clientId$$65_spinwheel_subId$$10$$);
  $clientId$$65_spinwheel_subId$$10$$.setMinimum($hourMinMax$$2_wrapperForSpinwheels$$1$$[0]);
  $clientId$$65_spinwheel_subId$$10$$.setMaximum($hourMinMax$$2_wrapperForSpinwheels$$1$$[1]);
  $clientId$$65_spinwheel_subId$$10$$.$setDigits$($AdfDhtmlChooseDateDOMQueries$$.$getHourDigitCount$($component$$500$$, $cdRootElem$$59$$));
  $clientId$$65_spinwheel_subId$$10$$.setLabel($AdfPage$$.$PAGE$.$getLookAndFeel$().$getTranslatedString$("af_chooseDate.LABEL_SELECT_HOURS"));
  $clientId$$65_spinwheel_subId$$10$$.setValue($AdfDhtmlChooseDateDOMQueries$$.$getDisplayableHour$($cdRootElem$$59$$, $selectedDate$$8$$));
  return $clientId$$65_spinwheel_subId$$10$$;
};
$AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildMinutesSpinwheel$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$_buildMinutesSpinwheel$$($component$$501$$, $cdRootElem$$60$$, $spinwheel$$1_wrapperForSpinwheels$$2$$, $selectedDate$$9$$) {
  var $clientId$$66_subId$$11$$ = $component$$501$$.$getClientId$(), $clientId$$66_subId$$11$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$66_subId$$11$$, $AdfDhtmlChooseDatePeer$$.$_MIN_WHEEL_ID$);
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("div", {id:$clientId$$66_subId$$11$$}, $spinwheel$$1_wrapperForSpinwheels$$2$$);
  $spinwheel$$1_wrapperForSpinwheels$$2$$ = new AdfRichChooseNumberSpinwheel($clientId$$66_subId$$11$$);
  $spinwheel$$1_wrapperForSpinwheels$$2$$.setMinimum(0);
  $spinwheel$$1_wrapperForSpinwheels$$2$$.setMaximum(59);
  $spinwheel$$1_wrapperForSpinwheels$$2$$.$setDigits$($AdfDhtmlChooseDateDOMQueries$$.$getMinuteDigitCount$($component$$501$$, $cdRootElem$$60$$));
  $spinwheel$$1_wrapperForSpinwheels$$2$$.setLabel($AdfPage$$.$PAGE$.$getLookAndFeel$().$getTranslatedString$("af_chooseDate.LABEL_SELECT_MINUTES"));
  $spinwheel$$1_wrapperForSpinwheels$$2$$.setValue($selectedDate$$9$$.getMinutes());
  return $spinwheel$$1_wrapperForSpinwheels$$2$$;
};
$AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildSecondsSpinwheel$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$_buildSecondsSpinwheel$$($component$$502$$, $cdRootElem$$61$$, $spinwheel$$2_wrapperForSpinwheels$$3$$, $selectedDate$$10$$) {
  var $clientId$$67_subId$$12$$ = $component$$502$$.$getClientId$(), $clientId$$67_subId$$12$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$67_subId$$12$$, $AdfDhtmlChooseDatePeer$$.$_SEC_WHEEL_ID$);
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("div", {id:$clientId$$67_subId$$12$$}, $spinwheel$$2_wrapperForSpinwheels$$3$$);
  $spinwheel$$2_wrapperForSpinwheels$$3$$ = new AdfRichChooseNumberSpinwheel($clientId$$67_subId$$12$$);
  $spinwheel$$2_wrapperForSpinwheels$$3$$.setMinimum(0);
  $spinwheel$$2_wrapperForSpinwheels$$3$$.setMaximum(59);
  $spinwheel$$2_wrapperForSpinwheels$$3$$.$setDigits$($AdfDhtmlChooseDateDOMQueries$$.$getSecondDigitCount$($component$$502$$, $cdRootElem$$61$$));
  $spinwheel$$2_wrapperForSpinwheels$$3$$.setLabel($AdfPage$$.$PAGE$.$getLookAndFeel$().$getTranslatedString$("af_chooseDate.LABEL_SELECT_SECONDS"));
  $spinwheel$$2_wrapperForSpinwheels$$3$$.setValue($selectedDate$$10$$.getSeconds());
  return $spinwheel$$2_wrapperForSpinwheels$$3$$;
};
$AdfDhtmlChooseDateTimeSelectionPanel$$.$_buildMeridiemSpinwheel$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$_buildMeridiemSpinwheel$$($clientId$$68_component$$503_lnf$$4_subId$$13$$, $spinwheel$$3_wrapperForSpinwheels$$4$$, $selectedDate$$11$$) {
  $clientId$$68_component$$503_lnf$$4_subId$$13$$ = $clientId$$68_component$$503_lnf$$4_subId$$13$$.$getClientId$();
  $clientId$$68_component$$503_lnf$$4_subId$$13$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$68_component$$503_lnf$$4_subId$$13$$, $AdfDhtmlChooseDatePeer$$.$_MERIDIEM_WHEEL_ID$);
  $AdfDhtmlChooseDateDOMUtils$$.$createAndAppendElement$("div", {id:$clientId$$68_component$$503_lnf$$4_subId$$13$$}, $spinwheel$$3_wrapperForSpinwheels$$4$$);
  $spinwheel$$3_wrapperForSpinwheels$$4$$ = new AdfRichChooseNumberSpinwheel($clientId$$68_component$$503_lnf$$4_subId$$13$$);
  $clientId$$68_component$$503_lnf$$4_subId$$13$$ = $AdfPage$$.$PAGE$.$getLookAndFeel$();
  $spinwheel$$3_wrapperForSpinwheels$$4$$.$setItemLabels$([$clientId$$68_component$$503_lnf$$4_subId$$13$$.$getTranslatedString$("af_chooseDate.AM"), $clientId$$68_component$$503_lnf$$4_subId$$13$$.$getTranslatedString$("af_chooseDate.PM")]);
  $spinwheel$$3_wrapperForSpinwheels$$4$$.setLabel($clientId$$68_component$$503_lnf$$4_subId$$13$$.$getTranslatedString$("af_chooseDate.AMPM"));
  $spinwheel$$3_wrapperForSpinwheels$$4$$.setValue(12 > $selectedDate$$11$$.getHours() ? 0 : 1);
  return $spinwheel$$3_wrapperForSpinwheels$$4$$;
};
$AdfDhtmlChooseDateTimeSelectionPanel$$.$_getMeridiemAdjustedHour$ = function $$AdfDhtmlChooseDateTimeSelectionPanel$$$$_getMeridiemAdjustedHour$$($clientId$$69_meridiemSubId$$1$$) {
  var $meridiemComp$$1_page$$28$$ = $AdfPage$$.$PAGE$, $hourSubId$$2_hours$$3$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$69_meridiemSubId$$1$$, $AdfDhtmlChooseDatePeer$$.$_HOUR_WHEEL_ID$), $hourSubId$$2_hours$$3$$ = $meridiemComp$$1_page$$28$$.$findComponent$($hourSubId$$2_hours$$3$$).getValue();
  $clientId$$69_meridiemSubId$$1$$ = $AdfRichUIPeer$$.$createSubId$($clientId$$69_meridiemSubId$$1$$, $AdfDhtmlChooseDatePeer$$.$_MERIDIEM_WHEEL_ID$);
  if ($meridiemComp$$1_page$$28$$ = $meridiemComp$$1_page$$28$$.$findComponent$($clientId$$69_meridiemSubId$$1$$)) {
    12 === $hourSubId$$2_hours$$3$$ && ($hourSubId$$2_hours$$3$$ = 0), 1 === $meridiemComp$$1_page$$28$$.getValue() && ($hourSubId$$2_hours$$3$$ += 12);
  }
  return $hourSubId$$2_hours$$3$$;
};
